"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.numberExtensions = void 0;
function format(value, extraArgs) {
    const [locales = 'en-US', config = {}] = extraArgs;
    return new Intl.NumberFormat(locales, config).format(value);
}
function isBlank(value) {
    return typeof value !== 'number';
}
function isPresent(value) {
    return !isBlank(value);
}
function random(value) {
    return Math.floor(Math.random() * value);
}
function isTrue(value) {
    return value === 1;
}
function isFalse(value) {
    return value === 0;
}
function isEven(value) {
    return value % 2 === 0;
}
function isOdd(value) {
    return Math.abs(value) % 2 === 1;
}
function floor(value) {
    return Math.floor(value);
}
function ceil(value) {
    return Math.ceil(value);
}
function round(value, extraArgs) {
    const [decimalPlaces = 0] = extraArgs;
    return +value.toFixed(decimalPlaces);
}
exports.numberExtensions = {
    typeName: 'Number',
    functions: {
        ceil,
        floor,
        format,
        random,
        round,
        isBlank,
        isPresent,
        isTrue,
        isNotTrue: isFalse,
        isFalse,
        isEven,
        isOdd,
    },
};
//# sourceMappingURL=NumberExtensions.js.map