import type { IExecuteData, INodeExecutionData, INodeParameters, IRunExecutionData, IWorkflowDataProxyAdditionalKeys, IWorkflowDataProxyData, INodeParameterResourceLocator, WorkflowExecuteMode } from './Interfaces';
import type { Workflow } from './Workflow';
export declare function isResourceLocatorValue(value: unknown): value is INodeParameterResourceLocator;
export declare class WorkflowDataProxy {
    private workflow;
    private runExecutionData;
    private defaultReturnRunIndex;
    private runIndex;
    private itemIndex;
    private activeNodeName;
    private connectionInputData;
    private siblingParameters;
    private mode;
    private selfData;
    private additionalKeys;
    private executeData;
    private defaultTimezone;
    private timezone;
    constructor(workflow: Workflow, runExecutionData: IRunExecutionData | null, runIndex: number, itemIndex: number, activeNodeName: string, connectionInputData: INodeExecutionData[], siblingParameters: INodeParameters, mode: WorkflowExecuteMode, defaultTimezone: string, additionalKeys: IWorkflowDataProxyAdditionalKeys, executeData?: IExecuteData, defaultReturnRunIndex?: number, selfData?: {});
    private nodeContextGetter;
    private selfGetter;
    private nodeParameterGetter;
    private getNodeExecutionData;
    private nodeDataGetter;
    private envGetter;
    private prevNodeGetter;
    private workflowGetter;
    private nodeGetter;
    getDataProxy(): IWorkflowDataProxyData;
}
